CatalogException (Java SE 22 & JDK 22)
Description: declaration: module: java.xml, package: javax.xml.catalog, class: CatalogException
Keywords: javax.xml.catalog.CatalogException class

Module java.xml
Package javax.xml.catalog

# Class CatalogException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.xml.catalog.CatalogException

All Implemented Interfaces:
  `Serializable`

public class CatalogException extends RuntimeException
The exception class handles errors that may happen while processing or using a catalog.

Since:
  9
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CatalogException(String message)`
  Constructs a new CatalogException with the specified detail message.
  `CatalogException(String message, Throwable cause)`
  Constructs a new CatalogException with the specified detail message and cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CatalogException

    public CatalogException(String message)
    Constructs a new CatalogException with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - the detail message

  - ### CatalogException

    public CatalogException(String message, Throwable cause)
    Constructs a new CatalogException with the specified detail message and cause.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)